Bug 1014118 - [abrt] gparted-0.16.1-2.fc18: glibmm_unexpected_exception: Process /usr/sbin/gpartedbin was killed by signal 5 (SIGTRAP)
[abrt] gparted-0.16.1-2.fc18: glibmm_unexpected_exception: Process /usr/sbin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:7313a5b08ac9777a9af67dc6986...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 08:49 EDT by Philippe Noroy
Modified: 2014-02-05 17:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:26:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (170.92 KB, text/plain)
2013-10-01 08:49 EDT, Philippe Noroy
no flags Details
File: cgroup (131 bytes, text/plain)
2013-10-01 08:49 EDT, Philippe Noroy
no flags Details
File: core_backtrace (25.10 KB, text/plain)
2013-10-01 08:49 EDT, Philippe Noroy
no flags Details
File: dso_list (8.88 KB, text/plain)
2013-10-01 08:50 EDT, Philippe Noroy
no flags Details
File: environ (262 bytes, text/plain)
2013-10-01 08:50 EDT, Philippe Noroy
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-01 08:50 EDT, Philippe Noroy
no flags Details
File: maps (43.50 KB, text/plain)
2013-10-01 08:50 EDT, Philippe Noroy
no flags Details
File: open_fds (586 bytes, text/plain)
2013-10-01 08:50 EDT, Philippe Noroy
no flags Details
File: proc_pid_status (905 bytes, text/plain)
2013-10-01 08:50 EDT, Philippe Noroy
no flags Details
File: var_log_messages (274 bytes, text/plain)
2013-10-01 08:50 EDT, Philippe Noroy
no flags Details

  None (edit)
Description Philippe Noroy 2013-10-01 08:49:45 EDT
Description of problem:
Après avoir supprimé des partitions sur /dev/sdb et /dev/sdc/ (avec succès), gparted a planté. Apparemment, rien d'autre n'a été affecté. Je n'ai pas pu reproduire l'incident. Les partitions étaient sdb1 ntfs 300 Go (disque entier) sur un disque usb et sdc1 fat32 8 Go (disque entier aussi) sur une clé usb.

After having successfully deleted partitions on /dev/sdb and /dev/sdc, gparted crashed. It seems tha nothing else happened. Deleted partitions were sdb1 ntfs 300 GB (entire disk) usb disk, and sdc1 fat32 8 GB (entire disk too) usb key.

Version-Release number of selected component:
gparted-0.16.1-2.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
crash_function: glibmm_unexpected_exception
executable:     /usr/sbin/gpartedbin
kernel:         3.10.12-100.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 glibmm_unexpected_exception at exceptionhandler.cc:71
 #3 Glib::exception_handlers_invoke at exceptionhandler.cc:150
 #4 Glib::SignalProxyNormal::slot0_void_callback at signalproxy.cc:99
 #9 gtk_combo_box_set_active_internal at gtkcombobox.c:5179
 #10 gtk_combo_box_set_active_iter at gtkcombobox.c:5235
 #11 gtk_combo_box_list_button_released at gtkcombobox.c:4161
 #12 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #17 gtk_widget_event_internal at gtkwidget.c:5017
 #18 gtk_widget_event at gtkwidget.c:4814
 #19 gtk_propagate_event at gtkmain.c:2490
Comment 1 Philippe Noroy 2013-10-01 08:49:52 EDT
Created attachment 805906 [details]
File: backtrace
Comment 2 Philippe Noroy 2013-10-01 08:49:55 EDT
Created attachment 805907 [details]
File: cgroup
Comment 3 Philippe Noroy 2013-10-01 08:49:59 EDT
Created attachment 805908 [details]
File: core_backtrace
Comment 4 Philippe Noroy 2013-10-01 08:50:02 EDT
Created attachment 805909 [details]
File: dso_list
Comment 5 Philippe Noroy 2013-10-01 08:50:06 EDT
Created attachment 805910 [details]
File: environ
Comment 6 Philippe Noroy 2013-10-01 08:50:09 EDT
Created attachment 805911 [details]
File: limits
Comment 7 Philippe Noroy 2013-10-01 08:50:13 EDT
Created attachment 805912 [details]
File: maps
Comment 8 Philippe Noroy 2013-10-01 08:50:16 EDT
Created attachment 805913 [details]
File: open_fds
Comment 9 Philippe Noroy 2013-10-01 08:50:19 EDT
Created attachment 805914 [details]
File: proc_pid_status
Comment 10 Philippe Noroy 2013-10-01 08:50:23 EDT
Created attachment 805915 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:38:17 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:26:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.